#
# spec file for package xorg-x11-driver-video-radeon (Version 6.6.3)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freeglut freeglut-devel freetype2 gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libdrm libdrm-devel libgcc libgssapi libmudflap libnscd libstdc++ libtool libusb libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline resmgr rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11-devel xorg-x11-libs xorg-x11-sdk zlib zlib-devel


Name:           xorg-x11-driver-video-radeon
BuildRequires:  freeglut-devel libdrm-devel xorg-x11-sdk
Url:            http://xorg.freedesktop.org/
License:        X11/MIT
Group:          System/X11/Servers/XF86_4
AutoReqProv:    on
Version:        6.6.3
Release:        0.19
Summary:        X.Org radeon video driver update for SLE10-SP1
Requires:       xorg-x11-server
Provides:       xorg-x11-driver-video:/usr/X11R6/%{_lib}/modules/drivers/radeon_drv.so
Source:         xf86-video-ati-6.6.3.tar.bz2
Source1:        Imakefile
Patch:          radeon-xrandr-dotclock.diff      
Patch1:         radeon_dell.diff
Patch2:         radeon-vbios-ppc.diff
Patch3:         xorg69.diff
Patch4:         p_bug148696.diff
Patch5:         xf86-video-ati-mergedfb-dpi.diff
Patch6:         bug-263703_fix-sync-polarity-restriction.diff
Patch7:         bug-263703_radeon-inconsistent-mode-list.diff
Patch8:         bug-263703_radeon-ibmlewis-2nd.diff
Patch9:         ati-mach64-nocpio-loadbios.diff
Patch10:        bug-307079_restrict-video-mode.diff
Patch11:        bug-329171_dell_urgent_issue.patch
Patch12:        bug-307074_opma-2.diff
Patch13:        bug-329195_widescreen.diff
Patch14:        bug-327682_disable-rmx-2.diff
Patch15:        bug-285047_rn50-sun-hardcoded-edid.diff
Patch16:        bug-296856_no-fallback-mode-resolutions.diff
ExclusiveArch:  %ix86 ia64 ppc ppc64 x86_64
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
X.Org radeon video driver update for SLE10-SP1



Authors:
--------
    Mike A. Harris
    Alan Hourihane
    Dirk Hohndel
    Kevin E. Martin
    Rickard E. (Rik) Faith
    Mark Vojkovich
    Gareth Hughes
    Leif Delgass 
    Benjamin Herrenschmidt
    Eric Anholt
    George Sapountzis
    Hui Yu
    Jakub Stachowski
    Jos Fonseca 
    Michel Dnzer
    Scott Laird
    Tiago Gons
    Zack Rusin
    Alex Deucher
    Daryll Strauss
    Jens Owen
    Keith Whitwell
    Ove Kven
    Ani Joshi
    Kristian Hgsberg
    Marc Aurele La France
    Bogdan D.

%debug_package
%prep
%setup -n xf86-video-ati-%{version}/src
%patch  -p1
%patch1 -p0
%patch2 -p1
cp $RPM_SOURCE_DIR/Imakefile .
%patch3 -p0
%ifarch ia64
%patch4 -p1
%endif
%patch5
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p7
%patch10
%patch11
%patch13
%patch15  -p2
%patch16  
%patch12  
%patch14  
ln -s ../man/ati.man
ln -s ../man/r128.man
ln -s ../man/radeon.man

%build
xmkmf
make CDEBUGFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing -I/usr/X11R6/%{_lib}/Server/include -I/usr/X11R6/%{_lib}/Server/include/extensions -I/usr/X11R6/%{_lib}/Server/drivers/ati -I/usr/include/drm"

%install
make install DESTDIR=$RPM_BUILD_ROOT
make install.man DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/%{_lib}/modules/updates
mv $RPM_BUILD_ROOT/usr/X11R6/%{_lib}/modules/{drivers,multimedia} \
   $RPM_BUILD_ROOT/usr/X11R6/%{_lib}/modules/updates/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir /usr/X11R6/%{_lib}/modules/updates
%dir /usr/X11R6/%{_lib}/modules/updates/drivers
%dir /usr/X11R6/%{_lib}/modules/updates/multimedia
/usr/X11R6/%{_lib}/modules/updates/drivers/*
/usr/X11R6/%{_lib}/modules/updates/multimedia/*
/usr/X11R6/man/man4/ati.4.gz
/usr/X11R6/man/man4/r128.4.gz
/usr/X11R6/man/man4/radeon.4.gz

%changelog
* Thu Nov 29 2007 - sndirsch@suse.de
- bug-307074_opma.diff --> bug-307074_opma-2.diff,
  bug-327682_disable-rmx.diff --> bug-327682_disable-rmx-2.diff:
  * hunks were applied at the wrong place (Lisa Wu <Lisa.Wu@amd.com>)
* Thu Oct 11 2007 - sndirsch@suse.de
- added ati/r128/radeon manual pages since the package now completely
  replaces the regular ati/r128/radeon driver combo of package
  xorg-x11-driver-video; the latter requires -radeon package now
* Thu Oct 11 2007 - sndirsch@suse.de
- bug-296856_no-fallback-mode-resolutions.diff (new)
  * fixes Bug #296856; without this patch, this issue can be
  easily reproduced while DDCMode option is enabled.
- upated patches by Lisa Wu
  * bug-263703_fix-sync-polarity-restriction.diff
  * bug-263703_radeon-ibmlewis-2nd.diff (fix compile error)
  * bug-263703_radeon-inconsistent-mode-list.diff
  * bug-329195_widescreen.diff
  * bug-285047_rn50-sun-hardcoded-edid.diff (completed)
  * bug-329171_dell_urgent_issue.patch (remmove hunks)
- removed obsolete patches
  * bug-263703_DDCMode.diff
  * bug-263703_fix-sync-polarity-restriction.diff
- adjusted the order to apply the patches
* Tue Oct 09 2007 - sndirsch@suse.de
- bug-263703_fix-sync-polarity-restriction.diff
  * fixing sync polarity restriction (Bug #263703)
- bug-263703_radeon-ibmlewis-2nd.diff
  *  Patch IbmLewisServer (Bug #263703)
- bug-263703_radeon-inconsistent-mode-list.diff
  * consolidate inconsistent linked list behavior (Bug #263703)
* Tue Oct 09 2007 - sndirsch@suse.de
- bug-285047_rn50-sun-hardcoded-edid.diff
  * use hardcoded EDID in VBIOS to set mode for Sun server
  (Bug #285047)
* Tue Oct 09 2007 - sndirsch@suse.de
- bug-327682_disable-rmx.diff
  * Disable RMX for Dell Server with ES1000 chips (Bug #327682)
* Tue Oct 09 2007 - sndirsch@suse.de
- bug-329195_widescreen.diff
  * set native resolution for widescreen digital panel (Bug #329195)
* Tue Oct 09 2007 - sndirsch@suse.de
- bug-307074_opma.diff
  * OPMA server support (Bug #307074)
* Tue Oct 09 2007 - sndirsch@suse.de
- bug-329171_dell_urgent_issue.patch
  * prune invalid modes after xf86ValidateModes to prevent video
  chip hang when such an invalid mode is set
* Mon Oct 08 2007 - sndirsch@suse.de
- bug-307079_restrict-video-mode.diff
  * restrict video mode within ES1000's capability (Bug #307079)
* Wed Aug 08 2007 - sndirsch@suse.de
- ati-mach64-nocpio-loadbios.diff:
  * The VBIOS isn't loaded without CPIO as int10 execution of BIOS
  code would trigger PIO access. Thus the driver doesn't bother
  to load VBIOS which contains tables with information on the
  hardware. Without those tables default values are used which
  turn out to be wrong for this particular hardware. This patch
  loads the BIOS code separately in the NOCPIO case so the BIOS
  tables can be used. (Bug #202341)
* Tue Apr 17 2007 - sndirsch@suse.de
- bug-263703_DDCMode.diff (Bug #263703):
  * some monitors timing is very restrict, they are very sensitive
  to the Hsync and Vsync signal polarity, you should set the
  singal polarity to the output mode exactly according to EDID
  info. if (d_timings ->sync ==3) is present, only when sync
  scheme is 'digital seperate', the signal polarity will be
  considered, this is not the case since other sync schemes also
  require special signal polarity (defined in VESA EEDID
  STANDARD), so (d_tmings->sync ==3) check is removed.
  * "; p && p->next; p = p->next->next" is not right at all,
  according to this, monitor modes that linked in the list
  {1,3,5,7...} will not be checked, only those at {0,2,4,6...}
  will be checked, as a result, some standarded timing defined in
  EDID will not able to find a matching mode in monitor modes
  list.
- bug-263703_Novell-IBM-server.diff (Bug #263703):
  * the upstream code still use RMX mode for Digital monitors,
  however, The reason why to choose DDCMode on IBM server is
  because (using our ES1000 chip), the only CRTC on ES1000 is
  designed to driven two monitors simultaneously, one real
  monitor connected to VGA port and one remote video controller
  virtualized as a TMDS monitor. if on-chip RMX is enabled, the
  RMX modes will cause poor video quality on CRT monitor then.
  * function RADEONValidateFPModes will re-enable the on-chip RMX
  mode, since modern digital pannel all have their own RMX
  scalers, this function is removed. However, this may cause
  trouble on some LCDs, the modification has been done in this
  part:
  else if (!info->IsSecondary && modesFound <=1)
  modesFound = RADEONValidateFPModes(...);
  with this change, if connected LCD only have one fixed mode,
  then RMX mode will be enable.
* Fri Mar 02 2007 - sndirsch@suse.de
- xf86-video-ati-mergedfb-dpi.diff:
  * fixes DPI values for mergedfb configs (Bug #239033)
* Thu Feb 22 2007 - sndirsch@suse.de
- p_bug148696.diff:
  * fixes regression in ati driver update for SP1 (Bug #247326)
* Thu Jan 25 2007 - sndirsch@suse.de
- build package only on %%ix86/ia64/ppc/ppc64/x86_64 platforms
* Wed Jan 17 2007 - sndirsch@suse.de
- created package (FATE #301931)
